features:
  secondary:
    - name: "Manage access to protected environments from the API"
      available_in: [premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/ci/environments/protected_environments.html#protecting-environments/'
      reporter: jmeshell
      stage: release
      categories:
        - "Release Governance"
        - "Release Orchestration"
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/30595'
      description: |
        Until now, users configuring access levels for protected environments needed to update developer and maintainer permissions through the Settings UI instead of the CLI. This wasn't efficient for users who want to work from the command line and need to maintain the same level of environment access across groups. With this release, maintainers can save time when adding or removing access to protected environments by using the API, rather than having update permissions in the Settings UI.
